## qt6-translations 6.2.4

=== debian/changelog ===
qt6-translations (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 18:09:02 +0200

qt6-translations (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:26:22 +0100

qt6-translations (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Dec 2021 16:33:50 +0100

qt6-translations (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999896)

 -- Patrick Franz <deltaone@debian.org>  Sat, 11 Dec 2021 11:19:34 +0100
