=== debian/control ===
Source: qt6-translations
Section: localization
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               ninja-build,
               pkg-config,
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-l10n-tools (>= 6.2.4~),
               qt6-tools-dev (>= 6.2.4~),
               qt6-tools-dev-tools (>= 6.2.4~),
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations.git
Rules-Requires-Root: no

Package: qt6-translations-l10n
Architecture: all
Depends: ${misc:Depends}
Description: translations for Qt 6
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides translation files for Qt itself and some base apps,
 such as Qt Linguist, Qt Assistant and Qt Designer.
