=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                debhelper-compat (= 13),
                ninja-build,
                pkg-config,
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-l10n-tools (>= 6.2.4~),
-               qt6-tools-dev (>= 6.2.4~),
-               qt6-tools-dev-tools (>= 6.2.4~),
-Standards-Version: 4.6.0
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-l10n-tools (>= 6.3.1~),
+               qt6-tools-dev (>= 6.3.1~),
+               qt6-tools-dev-tools (>= 6.3.1~),
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations.git
