=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                ninja-build,
-               pkg-config,
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-l10n-tools (>= 6.4.2~),
-               qt6-tools-dev (>= 6.4.2~),
-               qt6-tools-dev-tools (>= 6.4.2~),
+               pkgconf,
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-l10n-tools (>= 6.6.2~),
+               qt6-tools-dev (>= 6.6.2~),
+               qt6-tools-dev-tools (>= 6.6.2~),
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations
