=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                debhelper-compat (= 13),
                ninja-build,
                pkgconf,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-l10n-tools (>= 6.6.2~),
-               qt6-tools-dev (>= 6.6.2~),
-               qt6-tools-dev-tools (>= 6.6.2~),
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-l10n-tools (>= 6.7.2~),
+               qt6-tools-dev (>= 6.7.2~),
+               qt6-tools-dev-tools (>= 6.7.2~),
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations.git
