=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                ninja-build,
-               pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-l10n-tools (>= 6.7.2~),
-               qt6-tools-dev (>= 6.7.2~),
-               qt6-tools-dev-tools (>= 6.7.2~),
-Standards-Version: 4.7.0
+               pkg-config,
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-l10n-tools (>= 6.8.0~),
+               qt6-tools-dev (>= 6.8.0~),
+               qt6-tools-dev-tools (>= 6.8.0~),
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations.git
