=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: qt6-translations
 Section: localization
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                ninja-build,
-               pkg-config,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-l10n-tools (>= 6.8.0~),
-               qt6-tools-dev (>= 6.8.0~),
-               qt6-tools-dev-tools (>= 6.8.0~),
-Standards-Version: 4.6.2
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-l10n-tools (>= 6.8.1~),
+               qt6-tools-dev (>= 6.8.1~),
+               qt6-tools-dev-tools (>= 6.8.1~),
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations.git
