=== debian/changelog ===
qt6-translations (6.8.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:24:26 +0100

qt6-translations (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Bump Qt B-Ds to 6.8.2.
  * Do not install the license-file into an architecture-dependent
    location.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 11:47:00 +0100
