=== debian/control ===
--- 
+++ 
@@ -4,19 +4,17 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               ccache,
                cmake (>= 3.24~),
                ninja-build,
                pkgconf,
-               qt6-base-dev (>= 6.9.1+dfsg~),
-               qt6-l10n-tools (>= 6.9.1~),
-               qt6-tools-dev (>= 6.9.1~),
-               qt6-tools-dev-tools (>= 6.9.1~),
+               qt6-base-dev (>= 6.9.2+dfsg~),
+               qt6-l10n-tools (>= 6.9.2~),
+               qt6-tools-dev (>= 6.9.2~),
+               qt6-tools-dev-tools (>= 6.9.2~),
 Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations.git
-Rules-Requires-Root: no
 
 Package: qt6-translations-l10n
 Architecture: all
