=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_install:
	dh_install
	# do not install the license-file into an arch-dependent location
	rm -rf $(CURDIR)/debian/qt6-translations-l10n/usr/lib/
