=== debian/control ===
Source: qt6-translations
Section: localization
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-tools-dev (>= 6.9.3~)
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-translations.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-translations
Maintainer: Neon CI <neon@kde.org>

Package: qt6-translations
Architecture: any
Depends: qt6-base, qt6-tools, ${misc:Depends}
Breaks: qt6-translations-l10n (<< 6.8.3~)
Replaces: qt6-translations-l10n
Description: translations for Qt 6
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides translation files for Qt itself and some base apps,
 such as Qt Linguist, Qt Assistant and Qt Designer.

Package: qt6-translations-l10n
Architecture: all
Depends: qt6-translations, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
